import request from '@/utils/request'

// 查询公式管理管理列表
export function listFormulas(query) {
  return request({
    url: '/eval/formulas/list',
    method: 'get',
    params: query
  })
}

export function findInfoList(query) {
  return request({
    url: '/eval/formulas/infoList',
    method: 'get',
    params: query
  })
}

// 查询公式管理管理详细
export function getFormulas(id) {
  return request({
    url: '/eval/formulas/' + id,
    method: 'get'
  })
}

// 新增公式管理管理
export function addFormulas(data) {
  return request({
    url: '/eval/formulas',
    method: 'post',
    data: data
  })
}

// 修改公式管理管理
export function updateFormulas(data) {
  return request({
    url: '/eval/formulas',
    method: 'put',
    data: data
  })
}

// 删除公式管理管理
export function delFormulas(id) {
  return request({
    url: '/eval/formulas/' + id,
    method: 'delete'
  })
}
